### Enumeration

# Gtk FileChooserError

#### Declaration

    error-domain Gtk.FileChooserError

#### Description [src]

These identify the various errors that can occur while calling `GtkFileChooser` functions.

#### Members

`GTK_FILE_CHOOSER_ERROR_NONEXISTENT`

  Indicates that a file does not exist.

  - Value: `0`
  - Available since: 4.0
`GTK_FILE_CHOOSER_ERROR_BAD_FILENAME`

  Indicates a malformed filename.

  - Value: `1`
  - Available since: 4.0
`GTK_FILE_CHOOSER_ERROR_ALREADY_EXISTS`

  Indicates a duplicate path (e.g. when adding a bookmark).

  - Value: `2`
  - Available since: 4.0
`GTK_FILE_CHOOSER_ERROR_INCOMPLETE_HOSTNAME`

  Indicates an incomplete hostname (e.g. “http://foo” without a slash after that).

  - Value: `3`
  - Available since: 4.0

#### Type functions

###### gtk_file_chooser_error_quark

Registers an error quark for `GtkFileChooser` errors.